<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue\InteractiveMessageAction;

use UnexpectedValueException;




class InteractiveMessageActionMode
{
    


    const INTERACTIVE_MESSAGE_ACTION_MODE_UNSPECIFIED = 0;
    


    const DISABLE_CTA = 1;

    private static $valueToName = [
        self::INTERACTIVE_MESSAGE_ACTION_MODE_UNSPECIFIED => 'INTERACTIVE_MESSAGE_ACTION_MODE_UNSPECIFIED',
        self::DISABLE_CTA => 'DISABLE_CTA',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

